<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');
class inventory_category_master_model extends CI_Model {
    public function __construct() {
        parent::__construct();
        $this->category = TBL_INVENTORY_CATEGORY;
        $this->item 	= TBL_INVENTORY_ITEM;
    }
    
    public function list_all() {
        $this->db->select('*, CASE status WHEN 1 THEN "Active" ELSE "Inactive" END as status_str',FALSE);
        $this->db->where('status !=', 2);
        $this->db->where('is_statue_cat', 0);
        $this->db->order_by('id', 'desc');
        return $this->db->get($this->category)->result();
    }
    
    public  function insert($data){  
        $this->db->insert($this->category, $data);  
        return $this->db->insert_id();
    }   
    
    public function update($data, $id){
        $this->db->where('id', $id);
        $this->db->update($this->category, $data);
        return $this->db->affected_rows();
    }
    
    public function get_by_id($id) {
        $this->db->select('*, CASE status WHEN 1 THEN "Active" ELSE "Inactive" END as status_str',FALSE);
        $this->db->where('id', $id);
        return $this->db->get($this->category)->row();
    }
   
     public function category_name_exists($name = '', $id = '') {
        $this->db->where('name', trim($name));
        if($id != '')
            $this->db->where('id !=', $id);
       
        $this->db->where('status !=', 2);
        if($this->db->get($this->category)->num_rows())
            return 1;
        else 
            return 0;
    }
   
    public function category_url_key_exists($url_key, $id) {
        if (!empty($id)) {
            $this->db->where('id !=', $id);
        }
        $this->db->where('url_key', $url_key);
        return $this->db->get($this->category)->num_rows();
    }
    
    public function get_last_insert_id() {
        $this->db->select('id,code');
        $this->db->where('status !=',2);
        $this->db->limit(1);
        $this->db->order_by('id','desc');
        return $this->db->get($this->category)->row();
    }
    
    public function get_used_category_status($id) {
       $this->db->where('category_id',$id);
       $this->db->where('status !=',2);
       $getData = $this->db->get($this->item);
       if($getData->num_rows() > 0)
           return 1;
       else
           return 0;
    }
}
?>